# Generated by Django 4.1.4 on 2023-01-14 17:41

from django.db import migrations, models
import django.db.models.deletion
from django.db.migrations import RunPython


def add_default_holiday_type(apps, schema_editor):
    HolidayType = apps.get_model("timetracker", "HolidayType")
    HolidayType.objects.create(name="Holiday")  # normal holidays


class Migration(migrations.Migration):
    dependencies = [
        ("employees", "0001_initial"),
        ("timetracker", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="HolidayType",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=255)),
            ],
        ),
        RunPython(add_default_holiday_type, RunPython.noop),
        migrations.CreateModel(
            name="Holiday",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("day", models.DateField()),
                (
                    "employee",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="employees.employee",
                    ),
                ),
                (
                    "type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="timetracker.holidaytype",
                    ),
                ),
            ],
        ),
    ]
